StorageProxyMBean (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service

## Interface StorageProxyMBean

- All Known Implementing Classes:
    StorageProxy

      public interface StorageProxyMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCasContentionTimeout()`
    `java.lang.Long` | `getCounterWriteRpcTimeout()`
    `boolean` | `getHintedHandoffEnabled()`
    `java.util.Set<java.lang.String>` | `getHintedHandoffEnabledByDC()`
    `int` | `getHintsInProgress()`
    `int` | `getMaxHintsInProgress()`
    `int` | `getMaxHintWindow()`
    `java.lang.Long` | `getNativeTransportMaxConcurrentConnections()`
    `java.lang.Long` | `getRangeRpcTimeout()`
    `long` | `getReadRepairAttempted()`
    `long` | `getReadRepairRepairedBackground()`
    `long` | `getReadRepairRepairedBlocking()`
    `java.lang.Long` | `getReadRpcTimeout()`
    `java.lang.Long` | `getRpcTimeout()`
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getSchemaVersions()` Returns each live node's schema version
    `long` | `getTotalHints()`
    `java.lang.Long` | `getTruncateRpcTimeout()`
    `java.lang.Long` | `getWriteRpcTimeout()`
    `void` | `reloadTriggerClasses()`
    `void` | `setCasContentionTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setCounterWriteRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setHintedHandoffEnabled(boolean b)`
    `void` | `setHintedHandoffEnabledByDCList(java.lang.String dcs)`
    `void` | `setMaxHintsInProgress(int qs)`
    `void` | `setMaxHintWindow(int ms)`
    `void` | `setNativeTransportMaxConcurrentConnections(java.lang.Long nativeTransportMaxConcurrentConnections)`
    `void` | `setRangeRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setReadRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setTruncateRpcTimeout(java.lang.Long timeoutInMillis)`
    `void` | `setWriteRpcTimeout(java.lang.Long timeoutInMillis)`

- - ### Method Detail

    - #### getTotalHints

          long getTotalHints()

    - #### getHintedHandoffEnabled

          boolean getHintedHandoffEnabled()

    - #### getHintedHandoffEnabledByDC

          java.util.Set<java.lang.String> getHintedHandoffEnabledByDC()

    - #### setHintedHandoffEnabled

          void setHintedHandoffEnabled(boolean b)

    - #### setHintedHandoffEnabledByDCList

          void setHintedHandoffEnabledByDCList(java.lang.String dcs)

    - #### getMaxHintWindow

          int getMaxHintWindow()

    - #### setMaxHintWindow

          void setMaxHintWindow(int ms)

    - #### getMaxHintsInProgress

          int getMaxHintsInProgress()

    - #### setMaxHintsInProgress

          void setMaxHintsInProgress(int qs)

    - #### getHintsInProgress

          int getHintsInProgress()

    - #### getRpcTimeout

          java.lang.Long getRpcTimeout()

    - #### setRpcTimeout

          void setRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getReadRpcTimeout

          java.lang.Long getReadRpcTimeout()

    - #### setReadRpcTimeout

          void setReadRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getWriteRpcTimeout

          java.lang.Long getWriteRpcTimeout()

    - #### setWriteRpcTimeout

          void setWriteRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getCounterWriteRpcTimeout

          java.lang.Long getCounterWriteRpcTimeout()

    - #### setCounterWriteRpcTimeout

          void setCounterWriteRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getCasContentionTimeout

          java.lang.Long getCasContentionTimeout()

    - #### setCasContentionTimeout

          void setCasContentionTimeout(java.lang.Long timeoutInMillis)

    - #### getRangeRpcTimeout

          java.lang.Long getRangeRpcTimeout()

    - #### setRangeRpcTimeout

          void setRangeRpcTimeout(java.lang.Long timeoutInMillis)

    - #### getTruncateRpcTimeout

          java.lang.Long getTruncateRpcTimeout()

    - #### setTruncateRpcTimeout

          void setTruncateRpcTimeout(java.lang.Long timeoutInMillis)

    - #### setNativeTransportMaxConcurrentConnections

          void setNativeTransportMaxConcurrentConnections(java.lang.Long nativeTransportMaxConcurrentConnections)

    - #### getNativeTransportMaxConcurrentConnections

          java.lang.Long getNativeTransportMaxConcurrentConnections()

    - #### reloadTriggerClasses

          void reloadTriggerClasses()

    - #### getReadRepairAttempted

          long getReadRepairAttempted()

    - #### getReadRepairRepairedBlocking

          long getReadRepairRepairedBlocking()

    - #### getReadRepairRepairedBackground

          long getReadRepairRepairedBackground()

    - #### getSchemaVersions

          java.util.Map<java.lang.String,java.util.List<java.lang.String>> getSchemaVersions()

      Returns each live node's schema version

Copyright © 2018 The Apache Software Foundation